QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11
CONFIG+=sdk_no_version_check
# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    about.cpp \
    camp.cpp \
    campmode.cpp \
    cdac.cpp \
    cspeaker.cpp \
    library.cpp \
    main.cpp \
    mainwindow.cpp

HEADERS += \
    about.h \
    camp.h \
    campmode.h \
    cdac.h \
    cspeaker.h \
    defines.h \
    library.h \
    mainwindow.h

FORMS += \
    about.ui \
    library.ui \
    mainwindow.ui

TARGET = "PA Calculator"


macx {
    ICON = PA_Calculator.icns
}

win32 {
    RC_ICONS = PA_Calculator.ico
}
# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    resources.qrc
